Host Pools - Retrieve Registration Token
Registration token of the host pool.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DesktopVirtualization/hostPools/{hostPoolName}/retrieveRegistrationToken?api-version=2025-10-10
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
host
|
path | True |
string minLength: 3maxLength: 64 pattern: ^[A-Za-z0-9@.\-_ ]*$ |
The name of the host pool within the specified resource group |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully retrieved host pool in resource group. |
|
| Other Status Codes |
Automation error response describing why the operation failed. |
Examples
HostPools_RetrieveRegistrationToken_Post
Sample request
POST https://management.azure.com/subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourceGroups/resourceGroup1/providers/Microsoft.DesktopVirtualization/hostPools/hostPool1/retrieveRegistrationToken?api-version=2025-10-10
Sample response
{
"expirationTime": "2008-09-22T14:01:54.9571247Z",
"token": "token",
"registrationTokenOperation": "Update"
}
Definitions
| Name | Description |
|---|---|
|
Cloud |
Cloud error object. |
|
Cloud |
Cloud error object properties. |
|
Registration |
Represents a RegistrationInfo definition. |
|
Registration |
The type of resetting the token. |
CloudError
Cloud error object.
| Name | Type | Description |
|---|---|---|
| error |
Cloud error object properties. |
CloudErrorProperties
Cloud error object properties.
| Name | Type | Description |
|---|---|---|
| code |
string |
Error code |
| message |
string |
Error message indicating why the operation failed. |
RegistrationInfo
Represents a RegistrationInfo definition.
| Name | Type | Description |
|---|---|---|
| expirationTime |
string (date-time) |
Expiration time of registration token. |
| registrationTokenOperation |
The type of resetting the token. |
|
| token |
string |
The registration token base64 encoded string. |
RegistrationTokenOperation
The type of resetting the token.
| Value | Description |
|---|---|
| Delete | |
| None | |
| Update |